Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.autotune
Interface AutotuneAdaptor

All Known Implementing Classes:
  BaseAutotuneAdaptor

public interface AutotuneAdaptor

The AutotuneAdaptor interface defines an AbleBean that plays the role of an adaptor for an AutotuneAgent to an application or target system.

It must provide information on the target system:

1. Metrics, including workload, configuration, and service level.
2. Tuning control metrics which provide a way to set control actions on the target system.

Method Summary
`void` | `defineMetrics()` Define all of the metrics for the target system.
`AutotuneMetricCollection` | `getMetrics()` Get all of the defined metrics for the target system.
`void` | `setTuningControl(AutotuneTuningControlMetric tuningControl)` Set a single tuning control on the target system.
`void` | `setTuningControls(java.util.Vector tuningControls)` Set multiple tuning controls on the target system.

Method Detail

### setTuningControl

    public void setTuningControl(AutotuneTuningControlMetric tuningControl)
                          throws AbleException

  Set a single tuning control on the target system.

  Throws:
    `AbleException`

### setTuningControls

    public void setTuningControls(java.util.Vector tuningControls)
                           throws AbleException

  Set multiple tuning controls on the target system.

  Throws:
    `AbleException`

### getMetrics

    public AutotuneMetricCollection getMetrics()
                                        throws AbleException

  Get all of the defined metrics for the target system.

  Throws:
    `AbleException`

### defineMetrics

    public void defineMetrics()
                       throws AbleException

  Define all of the metrics for the target system. This can include tuning controls.

  Throws:
    `AbleException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005